@echo off
cd /d "%~dp0"
set APP=PowerWriter.exe
set DUMP_DIR=%~dp0logs
if not exist %DUMP_DIR% mkdir %DUMP_DIR%

:: catch dump when crash
procdump -accepteula -ma -e -x %DUMP_DIR% %APP%

:: include system logs
systeminfo > %DUMP_DIR%\systeminfo.txt
wmic os get Caption,Version,OSArchitecture /value > %DUMP_DIR%\os.txt
wmic product get name,version > %DUMP_DIR%\installed_products.txt
echo Done. Reproduce issue then zip %DUMP_DIR%.
pause